import * as z from "zod";

export const ResetPasswordSearchSchema = z.object({
  token: z.string().catch(""),
});

export type ResetPasswordSearch = z.infer<typeof ResetPasswordSearchSchema>;

export const AuthModalSearchSchema = z.object({
  modal: z.enum(["auth"]).optional().catch(undefined),
  redirect: z.string().optional().catch(undefined),
});

export type AuthModalSearch = z.infer<typeof AuthModalSearchSchema>;
